/* -*- mode: c; c-basic-offset: 4; -*- */
/* vi:set cindent ts=8 sts=4 sw=4: */
#ifndef CURS_LIB_H
#define CURS_LIB_H

/* `y' is the line number to clear */
#define CLEARLINE(y) move(y,0),clrtoeol()

#define NO_ERRNO  0
#define USE_ERRNO 1

/* enter_string() */
#define EMPTY (1<<1)
/* enter_string() AND enter_path() */
#define HALF_FILLED (1<<0)
/* enter_path() */
#define ABSOLUTE    (1<<1)
#define MUST_EXIST  (1<<2)
#define DIRECTORY   (1<<3)
#define REG_FILE    (1<<4)
#define REGISTERED_EXT    (1<<5)

/* allow/disallow entering the file browser */
#define ALLOW_BROWSE 1
#define NO_BROWSE    0

void cmd_redraw_screen(int *menu_redraw);
char *enter_path(char *path, size_t pathlen, int flags, const char *fmt,...);
void msg(const char *fmt,...);
void perror_msg(const char *fmt,...);
int yes_or_no(bool def, const char *fmt,...);
char *enter_string(char *buf, size_t buflen, int bufstate,
		   bool allow_browse, const char *fmt,...);

#endif				/* CURS_LIB_H */
